# default values when new /etc/rpm/macros.pear not present
%{!?__pear:       %define __pear       %{_bindir}/pear}
%{!?pear_phpdir:  %define pear_phpdir  %(%{__pear} config-get php_dir  2> /dev/null || echo undefined)}
%{!?pear_docdir:  %define pear_docdir  %(%{__pear} config-get doc_dir  2> /dev/null || echo undefined)}
%{!?pear_testdir: %define pear_testdir %(%{__pear} config-get test_dir 2> /dev/null || echo undefined)}
%{!?pear_datadir: %define pear_datadir %(%{__pear} config-get data_dir 2> /dev/null || echo undefined)}
%{!?pear_xmldir:  %define pear_xmldir  %{pear_phpdir}/.pkgxml}

Summary:      PEAR: Provides an implementation of the SMTP protocol
Summary(fr):  PEAR: Fournit une mise en oeuvre du protocol SMTP
Name:         php-pear-Net-SMTP
Version:      1.2.8
Release:      5%{?dist}
License:      PHP License
Group:        Development/Libraries
Source:       http://pear.php.net/get/Net_SMTP-%{version}.tgz
Source1:      PHP-LICENSE-3.01
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL:          http://pear.php.net/package/Net_SMTP

BuildArch:        noarch
BuildRequires:    php-pear(PEAR) >= 1.4.9
Requires:         php-pear(PEAR) >= 1.4.9, php-pear(Net_Socket), php-pear(Auth_SASL), php >= 4.0.5
Requires(post):   %{__pear}
Requires(postun): %{__pear}
Provides:         php-pear(Net_SMTP) = %{version}

%description
Provides an implementation of the SMTP protocol using PEAR's Net_Socket class.

php-pear-Net-SMTP can optionally use package "php-pear-Auth-SASL".

%description -l fr
Fournit une mise en oeuvre du protocol SMTP utilisant la classe Net_Socket.

php-pear-Net-SMTP peut optionellement utiliser
l'extension "php-pear-Auth-SASL".

%prep
%setup -c -q
mv package2.xml Net_SMTP-%{version}/Net_SMTP.xml

%{__install} -m 644 -c %{SOURCE1} LICENSE

%build
# Empty build section

%install
rm -rf %{buildroot} docdir

pushd Net_SMTP-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} Net_SMTP.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_phpdir}/.??*

# Install XML package description
%{__mkdir_p} %{buildroot}%{pear_xmldir}
%{__install} -pm 644 Net_SMTP.xml %{buildroot}%{pear_xmldir}

popd
# Sort out documentation
%{__mkdir} docdir
mv %{buildroot}%{pear_docdir}/* docdir

%check
# Sanity check
lst=$(find %{buildroot}%{pear_phpdir} -exec grep -q %{buildroot} {} \; -print)
[ ! -z "$lst" ] && echo "Reference to BUILDROOT in $lst" && exit 1;

%clean
rm -rf %{buildroot}

%post
%{__pear} install --nodeps --soft --force --register-only %{pear_xmldir}/Net_SMTP.xml >/dev/null || :

%postun
# if refcount = 0 then package has been removed (not upgraded)
if [ "$1" -eq "0" ]; then
   %{__pear} uninstall --nodeps --ignore-errors --register-only Net_SMTP >/dev/null || :
fi

%files
%defattr(-,root,root,-)
%doc LICENSE docdir/Net_SMTP/docs/*
%{pear_phpdir}/Net
%{pear_testdir}/Net_SMTP
%{pear_xmldir}/Net_SMTP.xml

%changelog
* Fri Sep 08 2006 Remi Collet <Fedora@FamilleCollet.com> 1.2.8-5
- last template.spec

* Sun Sep 03 2006 Remi Collet <Fedora@FamilleCollet.com> 1.2.8-4
- new and simpler %%prep and %%install

* Sat Sep 02 2006 Remi Collet <Fedora@FamilleCollet.com> 1.2.8-3
- install Licence in prep
- use new macros from /etc/rpm/macros.pear
- own /usr/share/pear/Net
- require php >= 4.0.5

* Sat May 20 2006 Remi Collet <Fedora@FamilleCollet.com> 1.2.8-2
- Require pear >= 1.4.9
- bundle the v3.01 PHP LICENSE file
- use --packagingroot (instead of -R)
- check from install to check (as in php-pear)
- Remove Auth_SASL from Requires (optional)

* Sat May 06 2006 Remi Collet <Fedora@FamilleCollet.com> 1.2.8-1
- spec for extras
- workaround for buggy pear 1.4.6 installer
- use %%{_datadir}/pear/.pkgxml for XML (Bug #190252)

* Thu Apr 06 2006 Remi Collet <rpms@FamilleCollet.com> 1.2.8-3.fc{3,4,5}.remi
- change /var/lib/pear to %%{_libdir}/php/pear for XML (as in extras for FC5)
- spec cleanning

* Sat Mar 04 2006 Remi Collet <RPMS@FamilleCollet.com> 1.2.8-2.fc{3,4}.remi
- add Requires: php-pear(Auth_SASL)

* Sat Feb 25 2006 Remi Collet <RPMS@FamilleCollet.com> 1.2.8-1.fc{3,4}.remi
- update to 1.2.8

* Sat Jan  7 2006 Remi Collet <remi.collet@univ-reims.fr> 1.2.7-1.fc{3,4}.remi
- initial RPM
